Documentation Index

Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt

Use this file to discover all available pages before exploring further.

/public/v1/inventory-counts/{id}

Prev Next
Get
/public/v1/inventory-counts/{id}

Retrieves the inventory count specified by the id

Security
HTTP
Type Bearer

Put ONLY your JWT Bearer token on textbox below!

Path parameters
id
string($uuid)Required

Identifier of the inventory count

Query parameters
varianceUofM
string
Responses
200

inventory count entity

Expand All
object

An inventory count, indicating actual inventory levels at a specific point in time.

id
integer (int64)

The unique identifier for the Inventory Count.

inventoryCountTemplate
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountTemplateReference)

A reference to an inventory count template.

name
string | null

Display name of the inventory count template.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

legalEntity
object (R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference)

A reference to a legal entity.

id
string (uuid)

Unique identifier of the legal entity.

name
string | null

Display name of the legal entity.

isCountInOpenFiscalPeriod
boolean

True if the count's date is in an open fiscal period.

name
string | null

Name of the Inventory Count.

status
string | null

The inventory count status.

date
string (date) | null

Date the inventory count was for.

duration
string (date-span)

The Duration of the Inventory Count.

frequency
string | null

The inventory count frequency.

isGLPosting
boolean

Indicates whether the Inventory Count Posts to the General Ledger.

totalAmount
number (double) | null

The Total Debits and Credits for the Inventory Count.

createdOn
string (date-time)

The date the inventory count was created.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The time at which the count was last changed.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date the inventory count was completed.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The time the Inventory Count was Approved.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

teamMember
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

transactionId
string (uuid) | null

The TransactionId (GUID) of the record. This does not apply to newer counts.

alertsCount
integer (int32)

The number of alerts associated with the inventory count.

isCountScheduled
boolean

Indicates whether the inventory count is scheduled.

isTheoGenerated
boolean

Indicates whether the inventory count is theoretical.

hasPreviousCountLinks
boolean

The count has previous count identifiers recorded.

details
Array of object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountDetailPublicDto) | null

The counted items for the Inventory Count.

object

Represents an inventory count detail

id
integer (int64)

The unique identifier for the Inventory Count Detail.

name
string | null

The Name for the Inventory Count Detail.

sortIndex
integer (int64)

The Sort Order for the Item Within the Storage Location.

storageLocation
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountStorageLocationReference)

A reference to an inventory count storage location.

name
string | null

Display name of the inventory count storage location.

inventoryCountTemplateDetailId
integer (int64) | null

The Id for the Inventory Count Template Detail Used to Create this Detail Record.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

unitOfMeasure1
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

unitOfMeasure2
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

unitOfMeasure3
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity1
number (double) | null

Quantity associated with Unit Of Measure 1.

quantity2
number (double) | null

Quantity associated with Unit Of Measure 2.

quantity3
number (double) | null

Quantity associated with Unit Of Measure 3.

itemUofM1Cost
number (double)

The Cost of the Item for the Unit of Measure 1.

uofM2QtyMultiplier
number (double)

The Quantity Conversion factor from UofM2 to UofM1.

uofM3QtyMultiplier
number (double)

The Quantity Conversion factor from UofM3 to UofM1.

previousQuantity
number (double)

DEPRECATED.

totalQuantity
number (double)

The Total quantity per detail (item - storageLocation)

previousItemUofM1Cost
number (double)

DEPRECATED.

isCounted
boolean

has the item been counted.

totalAmount
number (double)

The Total Amount per detail (item cost * total quantity)

previousAmount
number (double)

DEPRECATED.

adjustment
number (double)

DEPRECATED.

modifiedOn
string (date-time)

Modified on date.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

alert
string | null

A row level alert.

varianceSummary
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountVarianceSummaryPublicDto)

A usage variance summary for an inventory count.

isActualUsageReviewCompleted
boolean

Indicates if the actual usage review has been completed.

isTheoreticalUsageReviewCompleted
boolean

Indicates if the theoretical usage review has been completed.

itemSummaries
Array of object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountItemVarianceSummaryPublicDto) | null

A collection of item variance summaries for this count.

object

A summary of the usage variance for an item in an inventory count.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
uofM
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

quantitiesFromDate
string (date)

Starting Date of Quantity Transaction Range.

dateLastCounted
string (date) | null

Previous Count Date.

beginningQuantity
number (double) | null

Previous Count Quantity.

beginningAmount
number (double) | null

Previous Count Amount.

purchaseQuantity
number (double)

Quantity Coming from Purchasing Transactions.

purchaseAmount
number (double)

Amount of Purchasing Transactions.

transferQuantity
number (double)

Quantity Coming from Transfer Transactions.

transferAmount
number (double)

Amount of Transfer Transactions.

endQuantity
number (double)

Current Count Quantity.

endAmount
number (double)

Current Count Amount.

endCost
number (double)

Current Count Cost.

actualUsage
number (double)

Actual Usage.

actualUsageAmount
number (double)

The Amount of Actual Usage.

wasteUsage
number (double)

Waste Log Usage.

wasteUsageAmount
number (double)

The Amount of Waste Usage.

theoreticalUsage
number (double)

Theoretical Usage.

theoreticalUsageAmount
number (double)

The Amount of Theoretical Usage.

variance
number (double)

Variance Between Actual and Theoretical.

varianceAmount
number (double)

The Amount of Variance between Actual and Theoretical.

unexplainedVariance
number (double)

Variance with No Explaining Transactions.

unexplainedVarianceAmount
number (double)

The Amount of Variance between Actual and Theoretical.

efficiency
number (double) | null

Item Usage Efficiency.

isAboveTheoreticalThreshold
boolean

Indicates whether Item is Above Allowed Efficiency Threshold or Not.

Expand All
object

An inventory count, indicating actual inventory levels at a specific point in time.

id
integer (int64)

The unique identifier for the Inventory Count.

inventoryCountTemplate
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountTemplateReference)

A reference to an inventory count template.

name
string | null

Display name of the inventory count template.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

legalEntity
object (R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference)

A reference to a legal entity.

id
string (uuid)

Unique identifier of the legal entity.

name
string | null

Display name of the legal entity.

isCountInOpenFiscalPeriod
boolean

True if the count's date is in an open fiscal period.

name
string | null

Name of the Inventory Count.

status
string | null

The inventory count status.

date
string (date) | null

Date the inventory count was for.

duration
string (date-span)

The Duration of the Inventory Count.

frequency
string | null

The inventory count frequency.

isGLPosting
boolean

Indicates whether the Inventory Count Posts to the General Ledger.

totalAmount
number (double) | null

The Total Debits and Credits for the Inventory Count.

createdOn
string (date-time)

The date the inventory count was created.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The time at which the count was last changed.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date the inventory count was completed.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The time the Inventory Count was Approved.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

teamMember
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

transactionId
string (uuid) | null

The TransactionId (GUID) of the record. This does not apply to newer counts.

alertsCount
integer (int32)

The number of alerts associated with the inventory count.

isCountScheduled
boolean

Indicates whether the inventory count is scheduled.

isTheoGenerated
boolean

Indicates whether the inventory count is theoretical.

hasPreviousCountLinks
boolean

The count has previous count identifiers recorded.

details
Array of object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountDetailPublicDto) | null

The counted items for the Inventory Count.

object

Represents an inventory count detail

id
integer (int64)

The unique identifier for the Inventory Count Detail.

name
string | null

The Name for the Inventory Count Detail.

sortIndex
integer (int64)

The Sort Order for the Item Within the Storage Location.

storageLocation
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountStorageLocationReference)

A reference to an inventory count storage location.

name
string | null

Display name of the inventory count storage location.

inventoryCountTemplateDetailId
integer (int64) | null

The Id for the Inventory Count Template Detail Used to Create this Detail Record.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

unitOfMeasure1
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

unitOfMeasure2
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

unitOfMeasure3
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity1
number (double) | null

Quantity associated with Unit Of Measure 1.

quantity2
number (double) | null

Quantity associated with Unit Of Measure 2.

quantity3
number (double) | null

Quantity associated with Unit Of Measure 3.

itemUofM1Cost
number (double)

The Cost of the Item for the Unit of Measure 1.

uofM2QtyMultiplier
number (double)

The Quantity Conversion factor from UofM2 to UofM1.

uofM3QtyMultiplier
number (double)

The Quantity Conversion factor from UofM3 to UofM1.

previousQuantity
number (double)

DEPRECATED.

totalQuantity
number (double)

The Total quantity per detail (item - storageLocation)

previousItemUofM1Cost
number (double)

DEPRECATED.

isCounted
boolean

has the item been counted.

totalAmount
number (double)

The Total Amount per detail (item cost * total quantity)

previousAmount
number (double)

DEPRECATED.

adjustment
number (double)

DEPRECATED.

modifiedOn
string (date-time)

Modified on date.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

alert
string | null

A row level alert.

varianceSummary
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountVarianceSummaryPublicDto)

A usage variance summary for an inventory count.

isActualUsageReviewCompleted
boolean

Indicates if the actual usage review has been completed.

isTheoreticalUsageReviewCompleted
boolean

Indicates if the theoretical usage review has been completed.

itemSummaries
Array of object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountItemVarianceSummaryPublicDto) | null

A collection of item variance summaries for this count.

object

A summary of the usage variance for an item in an inventory count.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
uofM
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

quantitiesFromDate
string (date)

Starting Date of Quantity Transaction Range.

dateLastCounted
string (date) | null

Previous Count Date.

beginningQuantity
number (double) | null

Previous Count Quantity.

beginningAmount
number (double) | null

Previous Count Amount.

purchaseQuantity
number (double)

Quantity Coming from Purchasing Transactions.

purchaseAmount
number (double)

Amount of Purchasing Transactions.

transferQuantity
number (double)

Quantity Coming from Transfer Transactions.

transferAmount
number (double)

Amount of Transfer Transactions.

endQuantity
number (double)

Current Count Quantity.

endAmount
number (double)

Current Count Amount.

endCost
number (double)

Current Count Cost.

actualUsage
number (double)

Actual Usage.

actualUsageAmount
number (double)

The Amount of Actual Usage.

wasteUsage
number (double)

Waste Log Usage.

wasteUsageAmount
number (double)

The Amount of Waste Usage.

theoreticalUsage
number (double)

Theoretical Usage.

theoreticalUsageAmount
number (double)

The Amount of Theoretical Usage.

variance
number (double)

Variance Between Actual and Theoretical.

varianceAmount
number (double)

The Amount of Variance between Actual and Theoretical.

unexplainedVariance
number (double)

Variance with No Explaining Transactions.

unexplainedVarianceAmount
number (double)

The Amount of Variance between Actual and Theoretical.

efficiency
number (double) | null

Item Usage Efficiency.

isAboveTheoreticalThreshold
boolean

Indicates whether Item is Above Allowed Efficiency Threshold or Not.

Expand All
object

An inventory count, indicating actual inventory levels at a specific point in time.

id
integer (int64)

The unique identifier for the Inventory Count.

inventoryCountTemplate
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountTemplateReference)

A reference to an inventory count template.

name
string | null

Display name of the inventory count template.

location
object (R365.Inventory.Shared.Contracts.Locations.LocationReference)

Represents a reference to a location.

id
string (uuid)

The id of the location.

name
string | null

The name of the location.

number
string | null

The location number.

legalEntity
object (R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference)

A reference to a legal entity.

id
string (uuid)

Unique identifier of the legal entity.

name
string | null

Display name of the legal entity.

isCountInOpenFiscalPeriod
boolean

True if the count's date is in an open fiscal period.

name
string | null

Name of the Inventory Count.

status
string | null

The inventory count status.

date
string (date) | null

Date the inventory count was for.

duration
string (date-span)

The Duration of the Inventory Count.

frequency
string | null

The inventory count frequency.

isGLPosting
boolean

Indicates whether the Inventory Count Posts to the General Ledger.

totalAmount
number (double) | null

The Total Debits and Credits for the Inventory Count.

createdOn
string (date-time)

The date the inventory count was created.

createdBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

modifiedOn
string (date-time) | null

The time at which the count was last changed.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

completedOn
string (date-time) | null

The date the inventory count was completed.

completedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

approvedOn
string (date-time) | null

The time the Inventory Count was Approved.

approvedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

teamMember
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

transactionId
string (uuid) | null

The TransactionId (GUID) of the record. This does not apply to newer counts.

alertsCount
integer (int32)

The number of alerts associated with the inventory count.

isCountScheduled
boolean

Indicates whether the inventory count is scheduled.

isTheoGenerated
boolean

Indicates whether the inventory count is theoretical.

hasPreviousCountLinks
boolean

The count has previous count identifiers recorded.

details
Array of object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountDetailPublicDto) | null

The counted items for the Inventory Count.

object

Represents an inventory count detail

id
integer (int64)

The unique identifier for the Inventory Count Detail.

name
string | null

The Name for the Inventory Count Detail.

sortIndex
integer (int64)

The Sort Order for the Item Within the Storage Location.

storageLocation
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountStorageLocationReference)

A reference to an inventory count storage location.

name
string | null

Display name of the inventory count storage location.

inventoryCountTemplateDetailId
integer (int64) | null

The Id for the Inventory Count Template Detail Used to Create this Detail Record.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

unitOfMeasure1
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

unitOfMeasure2
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

unitOfMeasure3
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

quantity1
number (double) | null

Quantity associated with Unit Of Measure 1.

quantity2
number (double) | null

Quantity associated with Unit Of Measure 2.

quantity3
number (double) | null

Quantity associated with Unit Of Measure 3.

itemUofM1Cost
number (double)

The Cost of the Item for the Unit of Measure 1.

uofM2QtyMultiplier
number (double)

The Quantity Conversion factor from UofM2 to UofM1.

uofM3QtyMultiplier
number (double)

The Quantity Conversion factor from UofM3 to UofM1.

previousQuantity
number (double)

DEPRECATED.

totalQuantity
number (double)

The Total quantity per detail (item - storageLocation)

previousItemUofM1Cost
number (double)

DEPRECATED.

isCounted
boolean

has the item been counted.

totalAmount
number (double)

The Total Amount per detail (item cost * total quantity)

previousAmount
number (double)

DEPRECATED.

adjustment
number (double)

DEPRECATED.

modifiedOn
string (date-time)

Modified on date.

modifiedBy
object (R365.Inventory.Shared.Contracts.Users.UserReference)

A reference to a user.

id
string (uuid)

The unique identifier of the user.

name
string | null

The name of the user.

alert
string | null

A row level alert.

varianceSummary
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountVarianceSummaryPublicDto)

A usage variance summary for an inventory count.

isActualUsageReviewCompleted
boolean

Indicates if the actual usage review has been completed.

isTheoreticalUsageReviewCompleted
boolean

Indicates if the theoretical usage review has been completed.

itemSummaries
Array of object (R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountItemVarianceSummaryPublicDto) | null

A collection of item variance summaries for this count.

object

A summary of the usage variance for an item in an inventory count.

item
object (R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference)

A reference to an item.

id
string (uuid)

Unique identifier of the public item.

name
string | null

Display name of the public item.

number
string | null

Number assigned to the public item.

itemType
string | null
uofM
object (R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference)

A reference to a unit of measure.

id
string (uuid)

Unique identifier of the unit of measure.

name
string | null

Display name of the unit of measure.

costAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

inventoryAccount
object (R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference)

A reference to a General Ledger Account.

id
string (uuid)

Unique identifier of the general ledger account.

name
string | null

Display name of the general ledger account.

number
string | null

Number assigned to the general ledger account.

itemCategory1
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory2
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

itemCategory3
object (R365.Inventory.Shared.Contracts.Items.ItemCategoryReference)

A reference to an item category.

id
string (uuid)

Unique identifier of the item category.

name
string | null

Display name of the item category.

quantitiesFromDate
string (date)

Starting Date of Quantity Transaction Range.

dateLastCounted
string (date) | null

Previous Count Date.

beginningQuantity
number (double) | null

Previous Count Quantity.

beginningAmount
number (double) | null

Previous Count Amount.

purchaseQuantity
number (double)

Quantity Coming from Purchasing Transactions.

purchaseAmount
number (double)

Amount of Purchasing Transactions.

transferQuantity
number (double)

Quantity Coming from Transfer Transactions.

transferAmount
number (double)

Amount of Transfer Transactions.

endQuantity
number (double)

Current Count Quantity.

endAmount
number (double)

Current Count Amount.

endCost
number (double)

Current Count Cost.

actualUsage
number (double)

Actual Usage.

actualUsageAmount
number (double)

The Amount of Actual Usage.

wasteUsage
number (double)

Waste Log Usage.

wasteUsageAmount
number (double)

The Amount of Waste Usage.

theoreticalUsage
number (double)

Theoretical Usage.

theoreticalUsageAmount
number (double)

The Amount of Theoretical Usage.

variance
number (double)

Variance Between Actual and Theoretical.

varianceAmount
number (double)

The Amount of Variance between Actual and Theoretical.

unexplainedVariance
number (double)

Variance with No Explaining Transactions.

unexplainedVarianceAmount
number (double)

The Amount of Variance between Actual and Theoretical.

efficiency
number (double) | null

Item Usage Efficiency.

isAboveTheoreticalThreshold
boolean

Indicates whether Item is Above Allowed Efficiency Threshold or Not.

403

Forbidden

object
type
string | null
title
string | null
status
integer (int32) | null

Current status of the problem details.

detail
string | null
instance
string | null
422

Unprocessable Content

Expand All
object
errorCode
string | null
innerError
object (R365.Inventory.Public.Models.R365Error)
errorCode
string | null
innerError
object (R365.Inventory.Public.Models.R365Error) Recursive